libzypp 17.37.10

zyppng::SocketPrivate::ClosingState Struct Reference

`#include <zypp-core/zyppng/io/private/socket_p.h>`

## Public Member Functions
| ClosingState (IOBuffer &&writeBuffer)

## Static Public Member Functions
static constexpr Socket::SocketState | type ()

## Public Attributes
SocketNotifier::Ptr | _socketNotifier
IOBuffer | _writeBuffer

## Detailed Description

Definition at line 106 of file socket_p.h.

## Constructor & Destructor Documentation

## ◆ ClosingState()

zyppng::SocketPrivate::ClosingState::ClosingState | ( | IOBuffer && | writeBuffer | ) |

Definition at line 17 of file socket.cc.

## Member Function Documentation

## ◆ type()

constexpr Socket::SocketState zyppng::SocketPrivate::ClosingState::type | ( |  | ) |
| inline static constexpr

Definition at line 107 of file socket_p.h.

## Member Data Documentation

## ◆ _socketNotifier

SocketNotifier::Ptr zyppng::SocketPrivate::ClosingState::_socketNotifier

Definition at line 110 of file socket_p.h.

## ◆ _writeBuffer

IOBuffer zyppng::SocketPrivate::ClosingState::_writeBuffer

Definition at line 111 of file socket_p.h.

The documentation for this struct was generated from the following files:

- zypp-core/zyppng/io/private/socket_p.h
- zypp-core/zyppng/io/socket.cc